aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authortulku <tulku@32389bae-6d03-0410-99cf-db05cde120eb>2005-11-10 14:51:16 +0000
committertulku <tulku@32389bae-6d03-0410-99cf-db05cde120eb>2005-11-10 14:51:16 +0000
commita3e68af036eb6f06a2a7e95cd43f58e6016b60f2 (patch)
treef713819736bdba5b0571814a320a304f9d01e1d9 /dev-lang
parentAdding kst-1.1.1 (diff)
downloadsci-a3e68af036eb6f06a2a7e95cd43f58e6016b60f2.tar.gz
sci-a3e68af036eb6f06a2a7e95cd43f58e6016b60f2.tar.bz2
sci-a3e68af036eb6f06a2a7e95cd43f58e6016b60f2.zip
Adding R-2.2.0 ebuild from bug 112022
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@16 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'dev-lang')
-rw-r--r--dev-lang/R/ChangeLog263
-rw-r--r--dev-lang/R/Manifest4
-rw-r--r--dev-lang/R/R-2.2.0_p20051103.ebuild110
-rw-r--r--dev-lang/R/files/digest-R-2.2.0_p200511031
-rw-r--r--dev-lang/R/metadata.xml5
5 files changed, 383 insertions, 0 deletions
diff --git a/dev-lang/R/ChangeLog b/dev-lang/R/ChangeLog
new file mode 100644
index 000000000..65a81e36f
--- /dev/null
+++ b/dev-lang/R/ChangeLog
@@ -0,0 +1,263 @@
+# ChangeLog for dev-lang/R
+# Copyright 1999-2005 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/R/ChangeLog,v 1.61 2005/09/03 19:24:43 corsair Exp $
+
+*R-2.2.0_p20051103 (10 Nov 2005)
+
+ 10 Nov 2005; Lucas Chiesa <lucas.chiesa@gmail.com> R-2.2.0_p20051103:
+ Added new ebuild for R-2.2.0 with the latest patch set (2005-11-03).
+ Thanks Fernando Henrique Ferraz Pereira da Rosa <mentus@gmx.de>
+ for the ebuild. Closes bug #112022.
+
+ 03 Sep 2005; Markus Rothe <corsair@gentoo.org> R-2.1.1.ebuild:
+ Stable on ppc64
+
+ 02 Sep 2005; Michael Hanselmann <hansmi@gentoo.org> R-2.1.1.ebuild:
+ Stable on ppc.
+
+ 22 Aug 2005; Gustavo Zacarias <gustavoz@gentoo.org> R-2.1.1.ebuild:
+ Stable on sparc
+
+ 22 Aug 2005; Marcus D. Hanwell <cryos@gentoo.org> -R-2.0.1.ebuild,
+ R-2.1.1.ebuild:
+ Removed old version. Stable on amd64 and x86.
+
+*R-2.1.1 (01 Jul 2005)
+
+ 01 Jul 2005; Danny van Dyk <kugelfang@gentoo.org> R-2.0.1.ebuild,
+ R-2.1.0-r1.ebuild, +R-2.1.1.ebuild:
+ Moved 64bit check to pkg_setup() to make fortran.eclass work again. Bumped
+ to version 2.1.1
+
+ 18 Jun 2005; Markus Rothe <corsair@gentoo.org> R-2.1.0-r1.ebuild:
+ Stable on ppc64
+
+ 17 Jun 2005; Michael Hanselmann <hansmi@gentoo.org> R-2.1.0-r1.ebuild:
+ Stable on ppc.
+
+ 13 Jun 2005; Gustavo Zacarias <gustavoz@gentoo.org> R-2.1.0-r1.ebuild:
+ Stable on sparc
+
+ 12 Jun 2005; Marcus D. Hanwell <cryos@gentoo.org> -R-1.9.0-r1.ebuild:
+ Removing old version. Closes bug 91512.
+
+ 11 Jun 2005; Marcus D. Hanwell <cryos@gentoo.org> R-2.1.0-r1.ebuild:
+ Stable on amd64 and x86.
+
+ 07 Jun 2005; Patrick Kursawe <phosphan@gentoo.org> R-2.0.1.ebuild,
+ R-2.1.0-r1.ebuild:
+ Added LDPATH to R libs, bug #90601
+
+ 01 Jun 2005; Mike Frysinger <vapier@gentoo.org> R-1.9.0-r1.ebuild,
+ R-2.0.1.ebuild:
+ Change USE=bzlib to USE=bzip2.
+
+*R-1.9.0-r1 (25 May 2005)
+
+ 25 May 2005; Marcus D. Hanwell <cryos@gentoo.org> +R-1.9.0-r1.ebuild:
+ Bring back R-1.9.0-r1 until <=dev-python/rpy-0.3.5-r1 are removed from
+ portage.
+
+ 25 May 2005; Marcus D. Hanwell <cryos@gentoo.org> -R-1.9.0-r1.ebuild:
+ Removed old version.
+
+ 25 May 2005; Luca Barbato <lu_zero@gentoo.org> R-2.0.1.ebuild:
+ Marked ppc
+
+ 24 May 2005; Marcus D. Hanwell <cryos@gentoo.org> R-2.0.1.ebuild:
+ Updated 64 bit detection code.
+
+ 10 May 2005; Gustavo Zacarias <gustavoz@gentoo.org> R-2.0.1.ebuild:
+ Stable on sparc
+
+ 08 May 2005; Marcus D. Hanwell <cryos@gentoo.org> -R-1.9.1.ebuild,
+ -R-2.0.0.ebuild, R-2.0.1.ebuild, -R-2.1.0.ebuild, R-2.1.0-r1.ebuild:
+ Marked 2.0.1 stable on amd64 and x86, cleaned out old ebuilds. Added new 64
+ bit detection code to 2.1.0-r1 as per bug 91512.
+
+*R-2.1.0-r1 (29 Apr 2005)
+
+ 29 Apr 2005; Marcus D. Hanwell <cryos@gentoo.org> +R-2.1.0-r1.ebuild:
+ Get rid of obsolete USE flags, tidy up deps a little. Thanks to MATSUU
+ Takuto <matsuu@gentoo.org> in bug 67834 for the patch.
+
+ 21 Apr 2005; Marcus D. Hanwell <cryos@gentoo.org> R-2.1.0.ebuild:
+ Update deps to reflect new USE flags.
+
+*R-2.1.0 (20 Apr 2005)
+
+ 20 Apr 2005; Marcus D. Hanwell <cryos@gentoo.org> +R-2.1.0.ebuild:
+ Version bump, ebuild cleanups and some additional USE flags. Thanks to
+ matsuu for some of the suggestions in bug 67834.
+
+*R-2.0.1 (21 Feb 2005)
+
+ 21 Feb 2005; Danny van Dyk <kugelfang@gentoo.org> R-2.0.0.ebuild,
+ +R-2.0.1.ebuild:
+ Fixed a sandbox violation in R-2.0.0 (BUG #79004) and marked stabled on
+ amd64. Added R-2.0.1 (BUG #72313).
+
+ 17 Feb 2005; Bryan Ƙstergaard <kloeri@gentoo.org> R-1.9.1.ebuild:
+ ~alpha keyword.
+
+ 02 Feb 2005; Danny van Dyk <kugelfang@gentoo.org> R-2.0.0.ebuild:
+ GNU Fortran 77 profile name changed to g77 in fortran.eclass
+
+ 17 Nov 2004; Markus Rothe <corsair@gentoo.org> R-2.0.0.ebuild:
+ stable on ppc64
+
+ 10 Oct 2004; Danny van Dyk <kugelfang@gentoo.org> -R-1.8.1.ebuild,
+ R-1.9.0-r1.ebuild, R-2.0.0.ebuild:
+ R-2.0.0 now in testing on x86,sparc,amd64,ppc and ppc64; using new
+ fortran.eclass. R-1.9.0-r1 stable on all arches. Removed obsolete R-1.8.1.
+
+*R-2.0.0 (07 Oct 2004)
+
+ 07 Oct 2004; George Shapovalov <george@gentoo.org> R-2.0.0 :
+ new version, masked with KEYWORDS="-*" to get a bit more testing
+
+ 30 Sep 2004; Ferris McCormick <fmccor@gentoo.org> R-1.9.0-r1.ebuild:
+ Stable for sparc.
+
+ 12 Sep 2004; Danny van Dyk <kugelfang@gentoo.org> R-1.9.0-r1.ebuild,
+ R-1.9.1.ebuild:
+ Removed f2c support for dev-lang/R on 64-bit arches. This is entirely R's
+ fault. f2c works perfectly right. Future versions of dev-lang/R will check for
+ this in ./configure. For R-1.9.{0,1} the ebuild checks for it. Fixes BUG
+ #61042.
+
+*R-1.9.1 (22 Aug 2004)
+
+ 09 Sep 2004; Philippe Trottier <tchiwam@gentoo.org> R-1.9.1.ebuild,
+ marked ~ppc64
+
+ 22 Aug 2004; Danny van Dyk <kugelfang@gentoo.org> -R-1.9.0.ebuild,
+ +R-1.9.1.ebuild:
+ Version bump to 1.9.1 (current stable). Removed obsolete 1.9.0.
+
+ 06 Aug 2004; Danny van Dyk <kugelfang@gentoo.org> R-1.9.0-r1.ebuild:
+ Marked stable on amd64.
+
+ 11 Jul 2004; Danny van Dyk <kugelfang@gentoo.org> R-1.8.1.ebuild,
+ R-1.9.0-r1.ebuild, R-1.9.0.ebuild:
+ Fixed BUG #56616. Tidied up g77/f2c check in >=R-1.9.0. Added f2c USE flag.
+
+ 01 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org> R-1.8.1.ebuild,
+ R-1.9.0-r1.ebuild, R-1.9.0.ebuild:
+ virtual/glibc -> virtual/libc
+
+ 01 Jul 2004; Danny van Dyk <kugelfang@gentoo.org> R-1.8.1.ebuild,
+ R-1.9.0-r1.ebuild, R-1.9.0.ebuild:
+ Fixed BUG #55386 for amd64. Pending for rest of arches.
+
+*R-1.9.0-r1 (05 Jun 2004)
+
+ 05 Jun 2004; Patrick Kursawe <phosphan@gentoo.org> R-1.9.0-r1.ebuild:
+ Added a few USE flags according to suggestions by Leo Chen <lcheu@cs.sfu.ca>
+
+ 28 May 2004; Patrick Kursawe <phosphan@gentoo.org> R-1.9.0.ebuild:
+ Removing the f77 USE flag check - just giving a hint when no g77 found.
+
+ 17 May 2004; Patrick Kursawe <phosphan@gentoo.org> R-1.9.0.ebuild:
+ adding f77 to IUSE
+
+ 11 May 2004; Patrick Kursawe <phosphan@gentoo.org> R-1.9.0.ebuild:
+ pkg_setup checks for g77 presence now.
+
+ 20 Apr 2004; Patrick Kursawe <phosphan@gentoo.org> R-1.9.0.ebuild:
+ Changed dependency - works also with current libglade, see bug #47825
+
+*R-1.9.0 (13 Apr 2004)
+
+ 13 Apr 2004; Patrick Kursawe <phosphan@gentoo.org> R-1.8.1.ebuild,
+ R-1.9.0.ebuild:
+ Version bump, added write permission for /var/cache/fonts
+
+ 01 Apr 2004; Patrick Kursawe <phosphan@gentoo.org> R-1.8.0.ebuild,
+ R-1.8.1.ebuild:
+ 1.8.1 is stable
+
+ 22 Mar 2004; Patrick Kursawe <phosphan@gentoo.org> R-1.8.1.ebuild:
+ Fixing bug #40100 (problems with newer Xfree)
+
+ 25 Feb 2004; Patrick Kursawe <phosphan@gentoo.org> R-1.4.1-r1.ebuild,
+ R-1.4.1.ebuild, R-1.5.1.ebuild, R-1.6.1.ebuild, R-1.6.2.ebuild,
+ R-1.7.0.ebuild, R-1.7.1.ebuild, R-1.8.0.ebuild, files/R-1.5.1-tcltk.diff:
+ Big cleanup, marking 1.8.0 as stable
+
+*R-1.8.1 (17 Feb 2004)
+
+ 17 Feb 2004; Patrick Kursawe <phosphan@gentoo.org> R-1.8.1.ebuild:
+ Version bump
+
+ 21 Oct 2003; David Holm <dholm@gentoo.org> R-1.8.0.ebuild:
+ Added to ~ppc.
+
+*R-1.8.0 (16 Oct 2003)
+
+ 16 Oct 2003; George Shapovalov <george@gentoo.org> R-1.8.0 :
+ new version (#30784), fixes gnome? dependencies
+ thanks to kdh <bolter111@hotmail.com> for an update
+
+*R-1.7.1 (19 Jun 2003)
+
+ 19 Jun 2003; George Shapovalov <george@gentoo.org> R-1.7.1 :
+ new version (#23012), now correctly builds tcltk support
+ fix and update by Tristan Henderson <T.Henderson@cs.ucl.ac.uk>
+
+*R-1.7.0 (29 May 2003)
+
+ 29 May 2003; Grant Goodyear <g2boojum@gentoo.org> R-1.7.0.ebuild:
+ Version update. Thanks to Stuart Luppescu for the heads-up.
+
+*R-1.6.2 (12 Apr 2003)
+
+ 12 Apr 2003; Grant Goodyear <g2boojum@gentoo.org> Manifest, R-1.6.2.ebuild:
+ Version bump
+
+*R-1.6.1 (12 Dec 2002)
+
+ 12 Dec 2002; George Shapovalov <george@gentoo.org> R-1.6.1.ebuild :
+
+ version update, patching is unnecessary now.
+ Update subitted by Sam Wouters <sam.wouters@esat.kuleuven.ac.be>, see #11313
+
+* Autoupdate keywords (12-6-02)
+ 06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
+
+*R-1.5.1 (11 July 2002)
+
+ 09 Aug 2002; George Shapovalov <george@gentoo.org> R-1.5.1.ebuild :
+
+ fixed the wrappers:
+ R installs two identical wrappers (R that invoke R.bin) under /usr/bin and
+ /usr/lib/R/bin/. Only one of these was modified to have correct R_HOME_DIR
+ Changed ebuild to modify R under /usr/lib/R/bin and symlink it into /usr/bin
+
+ 11 July 2002; George Shapovalov <george@gentoo.org> R-1.5.1.ebuild, files/digest-R-1.5.1 :
+
+ upped version
+ new version submitted by Tristan Henderson <T.Henderson@cs.ucl.ac.uk>
+
+*R-1.4.1-r1 (11 Apr 2002)
+ 11 Apr 2002; Spider <spider@gentoo.org>
+ Forcing an upgrade due to libpng upgrade.
+
+
+*R-1.4.1 (19 Feb 2002)
+
+ 19 Feb 2002; T.Neidt <tod@gentoo.org> ChangeLog, R-1.4.1.ebuild :
+
+ Initial commit. R is GNU S - A language and environment for statistical
+ computing and graphics. Gnome and tcltk gui's are available if in USE.
+
+ If gnome, a rudimentary menu entry is made under Applications.
+ However, it has the annoying tendency to pop up a terminal window to start
+ the gui. (todo 1)
+
+ Also, the html files are not accessible from the toolbar menu entry unless
+ you happen to be running netscape. (todo 2)
+
+ This ebuild makes use of a new USE variable, 'atlas', which will compile
+ R using the auto-tuned blas libraries provided by atlas. NOTE: atlas ebuild
+ currently only provides static libraries. Shared libraries are in the works.
diff --git a/dev-lang/R/Manifest b/dev-lang/R/Manifest
new file mode 100644
index 000000000..24e7cfcdd
--- /dev/null
+++ b/dev-lang/R/Manifest
@@ -0,0 +1,4 @@
+MD5 70940a38a384f0e3481f0830e1f00d38 R-2.2.0_p20051103.ebuild 3216
+MD5 207ddfb5f5a1df1a0a67e34cab4052cd ChangeLog 9369
+MD5 8c623e53daafa025137077c6b65815bd metadata.xml 156
+MD5 1c4697b00564f08c0e7a17257fdd7f57 files/digest-R-2.2.0_p20051103 75
diff --git a/dev-lang/R/R-2.2.0_p20051103.ebuild b/dev-lang/R/R-2.2.0_p20051103.ebuild
new file mode 100644
index 000000000..7b7b47ca2
--- /dev/null
+++ b/dev-lang/R/R-2.2.0_p20051103.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/R/R-2.1.1.ebuild,v 1.5 2005/09/03 19:24:43 corsair Exp $
+
+inherit fortran toolchain-funcs
+
+IUSE="blas jpeg nls png readline tcltk X"
+DESCRIPTION="R is GNU S - A language and environment for statistical computing and graphics."
+MY_P="R-patched"
+SRC_URI="ftp://ftp.stat.math.ethz.ch/Software/R/${MY_P}_2005-11-09.tar.bz2"
+#SRC_URI="http://cran.r-project.org/src/base/R-2/${P}.tar.gz"
+#There are daily release patches, don't know how to utilize these
+#"ftp://ftp.stat.math.ethz.ch/Software/${PN}/${PN}-release.diff.gz"
+
+HOMEPAGE="http://www.r-project.org/"
+DEPEND="virtual/libc
+ >=dev-lang/perl-5.6.1-r3
+ readline? ( >=sys-libs/readline-4.1-r3 )
+ jpeg? ( >=media-libs/jpeg-6b-r2 )
+ png? ( >=media-libs/libpng-1.2.1 )
+ blas? ( virtual/blas )
+ X? ( virtual/x11 )
+ tcltk? ( dev-lang/tk )"
+SLOT="0"
+LICENSE="GPL-2 LGPL-2.1"
+KEYWORDS="~x86"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+ # Test for a 64 bit architecture - f2c won't work on 64 bit archs with R.
+ # Thanks to vapier for providing the test.
+ echo 'int main(){}' > test.c
+ $(tc-getCC) -c test.c -o test.o
+ if file test.o | grep -qs 64-bit ; then
+ einfo "64 bit architecture detected, using g77."
+ FORTRAN="g77"
+ else
+ FORTRAN="g77 f2c"
+ fi
+ fortran_pkg_setup
+}
+
+src_compile() {
+ local myconf="--enable-R-profiling --enable-R-shlib --enable-linux-lfs"
+
+ if use tcltk; then
+ #configure needs to find the files tclConfig.sh and tkConfig.sh
+ myconf="${myconf} --with-tcltk --with-tcl-config=/usr/lib/tclConfig.sh --with-tk-config=/usr/lib/tkConfig.sh"
+ else
+ myconf="${myconf} --without-tcltk"
+ fi
+
+ econf \
+ $(use_enable nls) \
+ $(use_with blas) \
+ $(use_with jpeg jpeglib) \
+ $(use_with png libpng) \
+ $(use_with readline) \
+ $(use_with X x) \
+ ${myconf} || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ make \
+ prefix=${D}/usr \
+ mandir=${D}/usr/share/man \
+ infodir=${D}/usr/share/info \
+ rhome=${D}/usr/$(get_libdir)/R \
+ install || die "Installation Failed"
+
+ #fix the R wrapper script to have the correct R_HOME_DIR
+ #sed regexp borrowed from included debian rules
+ sed \
+ -e "/^R_HOME_DIR=.*/s::R_HOME_DIR=/usr/$(get_libdir)/R:" \
+ -i ${D}/usr/$(get_libdir)/R/bin/R \
+ || die "sed failed"
+
+ #same for R_SHARE_DIR, R_INCLUDE_DIR and R_DOC_DIR
+
+ sed \
+ -e "/^R_SHARE_DIR=.*/s::R_SHARE_DIR=/usr/$(get_libdir)/R/share:" \
+ -i ${D}/usr/$(get_libdir)/R/bin/R \
+ || die "sed failed"
+
+ sed \
+ -e "/^R_INCLUDE_DIR=.*/s::R_INCLUDE_DIR=/usr/$(get_libdir)/R/include:" \
+ -i ${D}/usr/$(get_libdir)/R/bin/R \
+ || die "sed failed"
+
+ sed \
+ -e "/^R_DOC_DIR=.*/s::R_DOC_DIR=/usr/$(get_libdir)/R/doc:" \
+ -i ${D}/usr/$(get_libdir)/R/bin/R \
+ || die "sed failed"
+
+
+ #R installs two identical wrappers under /usr/bin and /usr/lib/R/bin/
+ #the 2nd one is corrected by above sed, for the 1st
+ #I'll just symlink it into /usr/bin
+ cd ${D}/usr/bin/
+ rm R
+ dosym ../$(get_libdir)/R/bin/R /usr/bin/R
+ dodir /etc/env.d
+ echo > ${D}/etc/env.d/99R "LDPATH=/usr/$(get_libdir)/R/lib"
+ cd ${S}
+
+ dodoc AUTHORS BUGS COPYING* ChangeLog FAQ *NEWS README \
+ RESOURCES THANKS VERSION Y2K
+}
diff --git a/dev-lang/R/files/digest-R-2.2.0_p20051103 b/dev-lang/R/files/digest-R-2.2.0_p20051103
new file mode 100644
index 000000000..782fae4e3
--- /dev/null
+++ b/dev-lang/R/files/digest-R-2.2.0_p20051103
@@ -0,0 +1 @@
+MD5 2095c08f6ce15124b9f6e4333b20202e R-patched_2005-11-09.tar.bz2 11991521
diff --git a/dev-lang/R/metadata.xml b/dev-lang/R/metadata.xml
new file mode 100644
index 000000000..b229aec85
--- /dev/null
+++ b/dev-lang/R/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+</pkgmetadata>